<section class="brand-section">
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-5 col-sm-6 col-md-6 col-lg-6">

                <!-- LOGO IMAGE -->
                <a [routerLink]="['']">
                    <img class="img-responsive img-logo" src="assets/images/logo.png" alt="logo">
                </a>
                <!-- /LOGO IMAGE -->
            </div>


            <div class="col-xs-7 col-sm-6 col-md-6 col-lg-6 text-right">
                <div *ngIf="!loggedIn">
                    <div class="hidden-xs hidden-sm">
                        <p class="register"><span class="forgot-password"></span></p>
                        <form class="form-inline" [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                            <div class="form-group">
                                <div *ngIf="error">
                                    <div class="invalid-feedback">
                                        <div>{{ 'header.invalid-credentials' | translate }}</div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-login form-control" formControlName="phone" placeholder="61 234 567" [ngClass]="{ 'is-invalid' : submitted && f.phone.errors }">
                                <!-- <div *ngIf="submitted && f.phone.errors" class="invalid-feedback" required>
                                    <span *ngIf="f.phone.errors.pattern">{{ 'header.numbers-only' | translate }}</span>
                                    <span *ngIf="f.phone.errors.required">{{ 'header.required' | translate }}</span>
                                    <span *ngIf="f.phone.errors.minlength">{{ 'header.phone-number-error' | translate }}</span>
                                </div> -->
                            </div>
                            <div class="form-group">
                                <input type="password" class="form-login form-control" placeholder="Enter password" formControlName="password" 
                                [ngClass]="{ 'is-invalid': submitted && f.password.errors }" required maxlength="6">
                                <!-- <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                                    <span *ngIf="f.password.errors.minlength">{{ 'header.password-incorrect' | translate }}</span>
                                    <span *ngIf="f.password.errors.required">{{ 'header.required' | translate }}</span>
                                    <span *ngIf="f.password.errors.minlength">{{ 'header.password-error-less' | translate }}</span>
                                    <span *ngIf="f.password.errors.maxlength">{{ 'header.password-error-more' | translate }}</span>
                                </div> -->
                            </div>
                            <div class="form-group">
                                <button class="btn btn-default btn-login" id="btn-login">{{ 'header.login' | translate }}</button>
                            </div>

                        </form>
                        <div class="register" *ngIf="submitted && f.phone.errors || submitted && f.password.errors">
                            <span *ngIf="submitted && f.phone.errors" class="invalid-feedback" required>
                                <span *ngIf="f.phone.errors.pattern">{{ 'header.numbers-only' | translate }}</span>&nbsp;
                                <span *ngIf="f.phone.errors.required">{{ 'header.required' | translate }}</span>&nbsp;
                                <span *ngIf="f.phone.errors.minlength">{{ 'header.phone-number-error' | translate }}</span>&nbsp;
                            </span>&nbsp;&nbsp;
                            <span *ngIf="submitted && f.password.errors" class="invalid-feedback">
                                <span *ngIf="f.password.errors.minlength">{{ 'header.password-incorrect' | translate }}</span>&nbsp;
                                <span *ngIf="f.password.errors.required">{{ 'header.required' | translate }}</span>&nbsp;
                                <span *ngIf="f.password.errors.minlength">{{ 'header.password-error-less' | translate }}</span>&nbsp;
                                <span *ngIf="f.password.errors.maxlength">{{ 'header.password-error-more' | translate }}</span>&nbsp;
                            </span>
                        </div>

                        <div class="register">
                            <span class="forgot-password">
                                <a [routerLink]="['auth/verification']">{{ 'header.already-have-otp-code' | translate }} |</a>
                            </span>&nbsp;&nbsp;
                            <span class="forgot-password">
                                <a [routerLink]="['auth/forgot-password']">{{ 'header.forgot-password' | translate }}? |</a>
                            </span>&nbsp;&nbsp;
                            <span class="register-link"> 
                                <a [routerLink]="['auth/register']">{{ 'header.register' | translate }}</a>
                            </span>
                        </div>
                    </div>

                    <div class="visible-xs visible-sm login-links">
                        <a class="btn-link" [routerLink]="['auth/login']">{{ 'header.login' | translate }}</a> |
                        <a class="btn-link" [routerLink]="['auth/register']">{{ 'header.register' | translate }}</a>
                    </div>
                </div>
                <div *ngIf="loggedIn">
                    <div class="user-info">

                        <div><span (click)="getBalance()" class="refresh-balance">{{ 'header.refresh-balance' | translate }}</span>&nbsp;&nbsp; | &nbsp; {{ 'header.balance' | translate }} {{ balance }}</div>
                        <div>{{ 'header.bonus' | translate }} {{ bonus }}</div>

                        <div>
                            <ul class="list-inline">
                                <!-- <li class="hidden-xs"><a>{{ 'header.deposit' | translate }}</a>&nbsp;&nbsp;|</li> -->
                                <li><a [routerLink]="['invite-a-friend']" class="refresh-balance">{{ 'header.invite-a-friend-h' | translate }}</a> |</li>
                                <li class="dropdown">
                                    <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                        {{ 'header.my-account' | translate }}
                    <span class="caret"></span>
                  </a>
                                    <ul class="dropdown-menu header">
                                        <li><a [routerLink]="['betslip']">{{ 'header.betlist' | translate }}</a></li>
                                        <!-- <li><a href="#">{{ 'header.transaction-list' | translate }}</a></li> -->
                                        <!-- <li><a href="#" class="visible-xs">{{ 'header.deposit' | translate }}</a></li> -->
                                        <!-- <li><a href="#">{{ 'header.withdraw' | translate }}</a></li> -->
                                        <!-- <li><a [routerLink]="['invite-a-friend']">{{ 'header.invite-a-friend-h' | translate }}</a></li> -->
                                        <li><a [routerLink]="['profile']">{{ 'header.profile' | translate }}</a></li>
                                    </ul>
                                </li>|
                                <li><a *ngIf="translate.currentLang == 'en'" [swal]="{
                                    title:'logout',
                                    type:'warning',
                                    showCancelButton:true,
                                    confirmButtonColor: '#3085d6',
                                    cancelButtonColor: '#d33',
                                    confirmButtonText: 'logout'
                                    }" (confirm)="onLogout()">{{ 'header.logout' | translate }}</a>
                                    <a *ngIf="translate.currentLang == 'fr'" [swal]="{
                                        title:'Déconnexion',
                                        type:'warning',
                                        showCancelButton:true,
                                        confirmButtonColor: '#3085d6',
                                        cancelButtonColor: '#d33',
                                        cancelButtonText: 'Quitter',
                                        confirmButtonText: 'Déconnexion'
                                        }" (confirm)="onLogout()">{{ 'header.logout' | translate }}</a>
                                </li>
                            </ul>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<nav class="navbar navbar-default" role="navigation" id="myNav" id="myNav" data-spy="affix" data-offset-top="151">
    <div class="container-fluid">

        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <button type="button" class="navbar-toggle pull-left" data-toggle="collapse" data-target=".navbar-ex2-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
            <div class="mobi-header">
                <div class="time-zone text-right">
                    <i class="fa fa-clock-o" aria-hidden="true"></i> {{ time | date:'H:mm:ss a' }}
                </div>
                <div class="dropdown lang text-right">
                    <button class="btn btn-primary dropdown-toggle lang" type="button" data-toggle="dropdown">
                    <span *ngIf="translate.currentLang == 'en'"><span class="flag-icon flag-icon-gb-eng"></span> EN</span>
                    <span *ngIf="translate.currentLang == 'fr'"><span class="flag-icon flag-icon-fr"></span> FR</span> &nbsp;&nbsp;
                    <span class="caret"></span>
                </button>
                    <ul class="dropdown-menu">
                        <li *ngIf="translate.currentLang != 'en'">
                            <a (click)="useLanguage('en')">
                                <span><span class="flag-icon flag-icon-gb-eng"></span> EN</span>
                            </a>
                        </li>
                        <li *ngIf="translate.currentLang != 'fr'">
                            <a (click)="useLanguage('fr')">
                                <span><span class="flag-icon flag-icon-fr"></span> FR</span>
                            </a>
                        </li>
                    </ul>
                </div>

            </div>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse navbar-ex2-collapse">
            <ul class="nav navbar-nav ">
                <li class="active"><a [routerLink]="['/']"><i class="fa fa-home orange" aria-hidden="true"></i>&nbsp;&nbsp;{{ 'header.sport' | translate }}</a></li>
                <li><a [routerLink]="['how-to-play']"><i class="fa fa-play-circle-o orange" aria-hidden="true"></i>&nbsp;&nbsp;{{ 'header.how-to-play' | translate }}</a></li>
                <li><a [routerLink]="['autobet']"><i class="fa fa-bars orange" aria-hidden="true"></i>&nbsp;&nbsp;{{ 'header.autobet' | translate }}</a></li>
                <li><a [routerLink]="['jackpot']"><i class="fa fa-database orange" aria-hidden="true"></i>&nbsp;&nbsp;{{ 'header.mega-jackpot' | translate }}</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <div class="dropdown lang">
                    <button class="btn btn-primary dropdown-toggle lang" type="button" data-toggle="dropdown">
                        <span *ngIf="translate.currentLang == 'en'"><span class="flag-icon flag-icon-gb-eng"></span> EN</span>
                        <span *ngIf="translate.currentLang == 'fr'"><span class="flag-icon flag-icon-fr"></span> FR</span> &nbsp;&nbsp;
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li *ngIf="translate.currentLang != 'en'">
                            <a (click)="useLanguage('en')">
                                <span><span class="flag-icon flag-icon-gb-eng"></span> EN</span>
                            </a>
                        </li>
                        <li *ngIf="translate.currentLang != 'fr'">
                            <a (click)="useLanguage('fr')">
                                <span><span class="flag-icon flag-icon-fr"></span> FR</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </ul>
            <div class="pull-right time-zone hidden-xs">
                <i class="fa fa-clock-o" aria-hidden="true"></i> {{ time | date:'H:mm:ss a' }}
            </div>

        </div>
        <!-- /.navbar-collapse -->
    </div>
</nav>